package com.kingdee.eas.custom.workflow;

import com.kingdee.bos.dao.AbstractObjectCollection;
import com.kingdee.bos.dao.IObjectPK;

public class CompanyWorkflowCollection extends AbstractObjectCollection 
{
    public CompanyWorkflowCollection()
    {
        super(CompanyWorkflowInfo.class);
    }
    public boolean add(CompanyWorkflowInfo item)
    {
        return addObject(item);
    }
    public boolean addCollection(CompanyWorkflowCollection item)
    {
        return addObjectCollection(item);
    }
    public boolean remove(CompanyWorkflowInfo item)
    {
        return removeObject(item);
    }
    public CompanyWorkflowInfo get(int index)
    {
        return(CompanyWorkflowInfo)getObject(index);
    }
    public CompanyWorkflowInfo get(Object key)
    {
        return(CompanyWorkflowInfo)getObject(key);
    }
    public void set(int index, CompanyWorkflowInfo item)
    {
        setObject(index, item);
    }
    public boolean contains(CompanyWorkflowInfo item)
    {
        return containsObject(item);
    }
    public boolean contains(Object key)
    {
        return containsKey(key);
    }
    public int indexOf(CompanyWorkflowInfo item)
    {
        return super.indexOf(item);
    }
}